Package ghidra.graph.viewer.layout

# Class JungLayout<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
ghidra.graph.viewer.layout.JungWrappingVisualGraphLayoutAdapter<V,E>
ghidra.graph.viewer.layout.JungLayout<V,E>

Type Parameters:
  `V` - the vertex type
  `E` - the edge type

All Implemented Interfaces:
  `com.google.common.base.Function<V,Point2D>`, `edu.uci.ics.jung.algorithms.layout.Layout<V,E>`, `VisualGraphLayout<V,E>`, `Function<V,Point2D>`

public class JungLayout<V extends VisualVertex,E extends VisualEdge<V>> extends JungWrappingVisualGraphLayoutAdapter<V,E>
A class that defines a simple Jung `Layout` interface for `Visual Vertices` and `VisualEdge`s

- ## Field Summary

  ### Fields inherited from class ghidra.graph.viewer.layout.JungWrappingVisualGraphLayoutAdapter

  `delegate`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JungLayout(edu.uci.ics.jung.algorithms.layout.Layout<V,E> jungLayout)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected edu.uci.ics.jung.algorithms.layout.Layout<V,E>`
  `cloneJungLayout(VisualGraph<V,E> newGraph)`

  ### Methods inherited from class ghidra.graph.viewer.layout.JungWrappingVisualGraphLayoutAdapter

  `addLayoutListener, apply, calculateLocations, cloneLayout, dispose, getEdgeLabelRenderer, getEdgeRenderer, getEdgeShapeTransformer, getGraph, getSize, getVisualGraph, initialize, isLocked, lock, removeLayoutListener, reset, setGraph, setInitializer, setLocation, setLocation, setSize, usesEdgeArticulations`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.google.common.base.Function

  `equals`

  ### Methods inherited from interface java.util.function.Function

  `andThen, compose`

- ## Constructor Details

  - ### JungLayout

    public JungLayout(edu.uci.ics.jung.algorithms.layout.Layout<V,E> jungLayout)

- ## Method Details

  - ### cloneJungLayout

    protected edu.uci.ics.jung.algorithms.layout.Layout<V,E> cloneJungLayout(VisualGraph<V,E> newGraph)
    Overrides:
      `cloneJungLayout` in class `JungWrappingVisualGraphLayoutAdapter<V extends VisualVertex,E extends VisualEdge<V>>`